#!/usr/bin/env python
# -*- coding: utf-8

import dbus
import sys

# Dbus paths
NMservice	= 'org.freedesktop.NetworkManager'
NMobject		= '/org/freedesktop/NetworkManager'
NMinterface	= 'org.freedesktop.NetworkManager'

statetable = [
	"Can not connect to networkmanager",	# error
	"Offline",										# 1
	"Connecting",									# 2
	"Connected",									# 3
	"No connection - wireless turned off"	# 4
	]

def check():
	try:
		bus = dbus.SystemBus()
		object = bus.get_object( NMservice, NMobject )
		interface = dbus.Interface( object, NMinterface )
		state = interface.state()
	except:
		state = 0
	return state

if __name__=="__main__":
	state=check()
	print statetable[state];
	sys.exit(state)
